## org.red5.server.api
Interface ClientRegistryMBean

    public interface ClientRegistryMBean

An MBean interface for the client registry.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Method Summary
`IClient` `getClient(String id)`
`List<IClient>` `getClientList()`
`boolean` `hasClient(String id)`
`IClient` `lookupClient(String id)`
`IClient` `newClient(Object[] params)`
`String` `nextId()`

Method Detail

### nextId

    String nextId()

### hasClient

    boolean hasClient(String id)

### lookupClient

    IClient lookupClient(String id)
                         throws ClientNotFoundException

  Throws:
    `ClientNotFoundException`

### newClient

    IClient newClient(Object[] params)

### getClientList

    List<IClient> getClientList()

### getClient

    IClient getClient(String id)
                      throws ClientNotFoundException

  Throws:
    `ClientNotFoundException`

Copyright © 2006-2010 The Red5 Project